//监测点评分
import request from "@/utils/request";

export default {
  //查询主列表
  getList(data) {
    return request({
      url: "/device-boot/mark/getLineMark",
      method: "post",
      data: data,
    });
  },

  //单个修改监测点评分
  singleOperate(data) {
    return request({
      url: "/device-boot/mark/singleOperate",
      method: "post",
      params: data,
    });
  },

  //文件上传
  upload(data) {
    return request({
      url: "/device-boot/mark/batchExport",
      method: "post",
      responseType: "blob",
      dataType: "json",
      headers: { "Content-Type": "application/json; application/vnd.ms-excel" },
      data: data,
    });
  },

  //导出heardExport模板
  heardExport() {
    return request({
      url: "/device-boot/mark/heardExport",
      method: "get",
      responseType: "blob",
    });
  },

  //导出监测点评分台账
  exportLineMark(data) {
    return request({
      url: "/device-boot/mark/exportLineMark",
      method: "post",
      data: data,
      responseType: "blob",
    });
  },
};
